curl -X DELETE "https://api.contactship.ai/v1/tags/c1b2c3d4-e5f6-4890-abcd-ef1234567890" \
-H "x-api-key: your-api-key"
const tagId = 'c1b2c3d4-e5f6-4890-abcd-ef1234567890';
const response = await fetch(`https://api.contactship.ai/v1/tags/${tagId}`, {
method: 'DELETE',
headers: { 'x-api-key': 'your-api-key' },
});
const { data: success } = await response.json(); // true
import requests
tag_id = 'c1b2c3d4-e5f6-4890-abcd-ef1234567890'
response = requests.delete(
f'https://api.contactship.ai/v1/tags/{tag_id}',
headers={'x-api-key': 'your-api-key'},
)
print(response.json()["data"]) # True
{
"statusCode": 200,
"data": true
}
Etiquetas
Delete Tag
Permanently delete a tag from your organization
DELETE
/
v1
/
tags
/
{tagId}
curl -X DELETE "https://api.contactship.ai/v1/tags/c1b2c3d4-e5f6-4890-abcd-ef1234567890" \
-H "x-api-key: your-api-key"
const tagId = 'c1b2c3d4-e5f6-4890-abcd-ef1234567890';
const response = await fetch(`https://api.contactship.ai/v1/tags/${tagId}`, {
method: 'DELETE',
headers: { 'x-api-key': 'your-api-key' },
});
const { data: success } = await response.json(); // true
import requests
tag_id = 'c1b2c3d4-e5f6-4890-abcd-ef1234567890'
response = requests.delete(
f'https://api.contactship.ai/v1/tags/{tag_id}',
headers={'x-api-key': 'your-api-key'},
)
print(response.json()["data"]) # True
{
"statusCode": 200,
"data": true
}
Permanently deletes a tag. This also removes the tag from all contacts it was assigned to.
Headers
Path Parameters
Response
Returns{ "statusCode": 200, "data": true } on successful deletion.
Error Codes
401 Unauthorized— Invalid or missing API key404 Not Found— Tag not found500 Internal Server Error— Server-side error
Code Examples
curl -X DELETE "https://api.contactship.ai/v1/tags/c1b2c3d4-e5f6-4890-abcd-ef1234567890" \
-H "x-api-key: your-api-key"
const tagId = 'c1b2c3d4-e5f6-4890-abcd-ef1234567890';
const response = await fetch(`https://api.contactship.ai/v1/tags/${tagId}`, {
method: 'DELETE',
headers: { 'x-api-key': 'your-api-key' },
});
const { data: success } = await response.json(); // true
import requests
tag_id = 'c1b2c3d4-e5f6-4890-abcd-ef1234567890'
response = requests.delete(
f'https://api.contactship.ai/v1/tags/{tag_id}',
headers={'x-api-key': 'your-api-key'},
)
print(response.json()["data"]) # True
{
"statusCode": 200,
"data": true
}
